##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

# Static doc/version strings (no CVS tags)
__doc__='''Generic Database Adapter Package Registration

__init__.py'''
__version__='0.1'

import Globals, os
import DA

classes=('DA.Connection',)
database_type='Ingres'

misc_={'conn':
       Globals.ImageFile('Shared/DC/ZRDB/www/DBAdapterFolder_icon.gif')}


meta_types=(
    {'name':'ZE %s Database Connection' % database_type,
     'action':'manage_addZE%sConnectionForm' % database_type,
     },
    )

__module_aliases__=(
    ('Products.AqueductIngres.DA', DA),
    )

def manage_addZEIngresConnectionForm(self, REQUEST, *args, **kw):
    "let me check "
    return DA.addConnectionForm(
        self, self, REQUEST,
        database_type=database_type)

def manage_addZEIngresConnection(
    self, id, title, connection, check=None, REQUEST=None):
    " "
    return DA.manage_addZEIngresConnection(
        self, id, title, connection, check, REQUEST)


methods={
    'manage_addZEIngresConnection':
    manage_addZEIngresConnection,
    'manage_addZEIngresConnectionForm':
    manage_addZEIngresConnectionForm,
    }

__ac_permissions__=(
    ('Add ZE Ingres Database Connections',
     ('manage_addZEIngresConnectionForm',
      'manage_addZEIngresConnection')),
    )

